Skip to main content
`Ctrl`+`K`

# PetscFree2

Frees 2 chunks of memory obtained with `PetscMalloc2()`

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree2(void *memory1,void *memory2)

Not Collective

## Input Parameters

- memory1 - memory to free

- memory2 - 2nd memory to free

## Notes

Memory must have been obtained with `PetscMalloc2()`

The arguments need to be in the same order as they were in the call to `PetscMalloc2()`

## See Also

`PetscNew()`, `PetscMalloc()`, `PetscMalloc2()`, `PetscFree()`

## Level

developer

## Location

include/petscsys.h

## Examples

src/mat/tutorials/ex4.c
src/ksp/ksp/tutorials/ex74.c
src/ksp/ksp/tutorials/ex69.c
src/ksp/ksp/tutorials/ex68.c
src/ksp/ksp/tutorials/ex77.c
src/snes/tutorials/ex13.c
src/mat/tutorials/ex18.c
src/mat/tutorials/ex17.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex31.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages